Request Data Export
curl --request POST \
--url https://api.mixpeek.com/v1/organizations/dsar/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/organizations/dsar/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/organizations/dsar/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"status": "<string>",
"requested_at": "<string>",
"estimated_completion": "<string>",
"data_categories": [
"<string>"
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Privacy (DSAR)
Request Data Export
Request a full data export for this organization.
Returns a summary of all data categories that will be exported. The export is processed asynchronously and delivered within 30 days as required by GDPR Article 15 and CCPA Section 1798.100.
Requires ADMIN permission.
POST
/
v1
/
organizations
/
dsar
/
export
Request Data Export
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Response for a data export request.
Was this page helpful?
⌘I

